## com.bbn.openmap.gui
Class OverviewMapHandler.ControlledMapSupport

    java.lang.Object
      com.bbn.openmap.event.ListenerSupport
          com.bbn.openmap.event.ProjectionSupport
              com.bbn.openmap.gui.OverviewMapHandler.ControlledMapSupport

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  OverviewMapHandler

public class OverviewMapHandler.ControlledMapSupport
extends ProjectionSupport

Support for directing the setCenter and setScale calls to any MapBeans that care to be listening.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class com.bbn.openmap.event.ProjectionSupport
`ProjectionSupport.ProjectionChangeNotifier`

Field Summary

Fields inherited from class com.bbn.openmap.event.ProjectionSupport
`pcNotifier`

Fields inherited from class com.bbn.openmap.event.ListenerSupport
`listeners, source`

Constructor Summary
`OverviewMapHandler.ControlledMapSupport()` Construct a ControlledMapSupport.
`OverviewMapHandler.ControlledMapSupport(java.lang.Object aSource)` Construct a ControlledMapSupport.

Method Summary
`void` `setCenter(LatLonPoint llp)` Set the center coordinates on all registered listeners.
`void` `setScale(float scale)` Set the scale on all registered listeners.

Methods inherited from class com.bbn.openmap.event.ProjectionSupport
`addProjectionListener, fireProjectionChanged, removeProjectionListener`

Methods inherited from class com.bbn.openmap.event.ListenerSupport
`addListener, getListeners, getSource, iterator, readObject, removeAll, removeListener, setSource, size, writeObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OverviewMapHandler.ControlledMapSupport

    public OverviewMapHandler.ControlledMapSupport()

  Construct a ControlledMapSupport.

### OverviewMapHandler.ControlledMapSupport

    public OverviewMapHandler.ControlledMapSupport(java.lang.Object aSource)

  Construct a ControlledMapSupport.

Parameters:
  `aSource` - source Object

Method Detail

### setCenter

    public void setCenter(LatLonPoint llp)

  Set the center coordinates on all registered listeners.

  Parameters:
    `llp` - the new centerpoint

### setScale

    public void setScale(float scale)

  Set the scale on all registered listeners.

  Parameters:
    `scale` - the new scale

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details